body, html {
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #000;
  overflow: hidden; /* Hide overflow to prevent scrolling */
}

#game-container {
  display: grid;
  grid-template-columns: repeat(5, 1fr); /* 5 columns grid */
  grid-template-rows: repeat(5, 20vmin); /* 5 rows grid, each row is 20vmin high */
  grid-gap: 0px; /* This creates space between the grid items */
  width: 100vmin; /* Maintain aspect ratio */
  height: 100vmin; /* Full viewport height, keeping aspect ratio square */
  position: relative;
}

.player, .obstacle {
  width: 100%;
  height: 100%; /* Make sure the player and obstacles take up the full cell */
  background-size: cover;
}

#score-container {
  position: absolute;
  top: 10px;
  left: 5px;
  /* left: 50%;
  transform: translateX(-50%); */
  color: #fff; 
  font-size: 1.5em;
  z-index: 20; /* Ensure the score is always visible on top of the game elements */
  font-family: 'Courier New', Courier, monospace; /* This will set the font to monospace */
}

.crash {
  width: 100%;
  height: 100%;
  grid-row: 1 / span 1;
  background-size: cover;
  z-index: 10; /* Make sure the crash image appears above other elements */
}

.player {
  background-image: url('player.gif'); /* Your player GIF */
}

.obstacle {
  background-image: url('poop.gif'); /* Your obstacle GIF */
}

/* Add additional styling for game over screen and other elements as needed */